Warcraft 2.6.1 Problem

Post here to report bugs in Warcraft3 XP. Please read the sticky.

Moderator: Forum Moderator

axyo
Peon
Posts: 4
Joined: Thu Sep 08, 2005 3:43 pm

Warcraft 2.6.1 Problem

Postby axyo » Fri Sep 09, 2005 4:48 pm

When its on the Precaching resources... it gives me this:

Bad file Server is enforcing file consistency for models/player/vip/vip.m


and it disconnects me :(

I have checked that if its the server files, and then i deleted the line in plugins.ini and the error didnt come. So i know that its the warcraft mod


Also, the message from the server console:


Reason: Bad file Server is enforcing file consistency for models/player/vip/vip.mdl
Dropped CT | Terrorists/AxYo from server



AND i also like to mention that i done the installation CORRECTLY

User avatar
Lazarus Long
Lead PITA SOB
Posts: 618
Joined: Tue Jul 05, 2005 9:24 pm

Re: Warcraft 2.6.1 Problem

Postby Lazarus Long » Fri Sep 09, 2005 5:59 pm

axyo:

axyo wrote:AND i also like to mention that i done the installation CORRECTLY

Chill, man, no need to get afraid of the replies.

I tried it and it did the same to me, I'll try to figure it out, and I'll be back on this.

Meanwhile I got it running by deleting my local copy of "models/player/vip/vip.mdl" which forced a download from the server, you can try to see if this works for you.

Regards,
Last edited by Lazarus Long on Fri Sep 09, 2005 6:27 pm, edited 1 time in total.
Lazarus

axyo
Peon
Posts: 4
Joined: Thu Sep 08, 2005 3:43 pm

Postby axyo » Fri Sep 09, 2005 6:07 pm

thanks, but i will wait for you to fix it :)

and i wrote that because i see that people usally reply with "did u install it correctly?" :)

User avatar
Lazarus Long
Lead PITA SOB
Posts: 618
Joined: Tue Jul 05, 2005 9:24 pm

Postby Lazarus Long » Fri Sep 09, 2005 10:57 pm

Hello again, axyo:

OK, I found out the situation and the reasoning for it.

It isn't a bug after all, it's on purpose. It seems that some custom player models don't render transparent so Warcraft 3 XP enforces the usage of the original models, being "original" those on the server. Even more the MOD enforces the mp_consistency cvar, so one needs to have the same arctic, gign, gsg9, guerilla, leet, sas, terror, urban and vip models as the server to avoid being booted off.

From a server point of view, one should use the original (as in distributed by Valve original) models to insure compatibility with the maximum number of clients possible.

From a client point of view and in case one gets that message the only thing there is to do is make sure that downloading from the server is allowed and delete the model that renders the error in order to force getting the same one as the server.

My quick fix was the solution after all.

(I'll be closing this bug report, since it isn't really a bug, if you feel that it should be reopened for some reason PM me asking for it)

Best regards,
Lazarus


User avatar
Lazarus Long
Lead PITA SOB
Posts: 618
Joined: Tue Jul 05, 2005 9:24 pm

Postby Lazarus Long » Thu Sep 15, 2005 8:54 am

done - it will be part of 2.6.2
Lazarus


User avatar
Lazarus Long
Lead PITA SOB
Posts: 618
Joined: Tue Jul 05, 2005 9:24 pm

Postby Lazarus Long » Sat Sep 17, 2005 6:37 am

Really fixed in 2.6.3 after all, sorry.
Lazarus



Return to “WC3XP - Bug Feedback”

Who is online

Users browsing this forum: No registered users and 1 guest